#
# spec file for package rubygem-rainbows
#
# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


#
# This file was generated with a gem2rpm.yml and not just plain gem2rpm.
# All sections marked as MANUAL, license headers, summaries and descriptions
# can be maintained in that file. Please consult this file before editing any
# of those fields
#

Name:           rubygem-rainbows
Version:        5.2.0
Release:        lp151.1.1
%define mod_name rainbows
%define mod_full_name %{mod_name}-%{version}
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  %{rubygem gem2rpm}
BuildRequires:  %{ruby}
BuildRequires:  ruby-macros >= 5
BuildRequires:  update-alternatives
Url:            https://bogomips.org/rainbows/
Source:         https://rubygems.org/gems/%{mod_full_name}.gem
Source1:        gem2rpm.yml
Summary:        Rack app server for sleepy apps and slow clients
License:        GPL-2.0-or-later AND Ruby
Group:          Development/Languages/Ruby
PreReq:         update-alternatives

%description
\Rainbows! is an HTTP server for sleepy Rack applications.  It is based on
unicorn, but designed to handle applications that expect long
request/response times and/or slow clients.

%prep

%build

%install
%gem_install \
  --symlink-binaries \
  --doc-files="COPYING LICENSE NEWS README" \
  -f

%gem_packages

%changelog
* Mon Jan 14 2019 Stephan Kulow <coolo@suse.com>
- updated to version 5.2.0
  see installed NEWS
  === Rainbows! 5.2.0 / 2019-01-05 20:38 UTC
    Mainly fixes some mismatched indentation warnings with Ruby 2.6+
    Some doc updates, too.
    4 changes since v5.1.1 (2017-04-02)
    quiet mismatched indentation warnings
    t/hijack.ru: avoid shadow warning
    t/test_isolate: various version updates
    various documentation updates
* Wed Jun 21 2017 bgeuken@suse.com
- Drop rubygem-rainbows-4.6.1_shebang.patch. We are at version 5.1.1
  now and this breaks our package builds.
* Sun Apr  2 2017 coolo@suse.com
- updated to version 5.1.1
  see installed NEWS
  === Rainbows! 5.1.1 / 2017-04-02 02:06 UTC
    This release fixes an incompatibility introduced with
    the release of unicorn 5.3.0, yesterday :x.
    Thanks to Claudio Poli for reporting the bug (and reminding
    me this project exists).
    Two changes since 5.1.0 (2017-01-12):
    workaround for unicorn 5.3.0
    tests: update isolate deps for unicorn and raindrops
* Tue Feb 14 2017 coolo@suse.com
- updated to version 5.1.0
  see installed NEWS
  === Rainbows! 5.1.0 - rack 2.x compat, EM fixes / 2017-01-12 22:39 UTC
    This release now supports rack 2.x along with existing rack 1.x
    applications.  Additionally, we now wait for deferred actions
    for EventMachine users on graceful shutdown.
    Thanks to Julia López Aladro and <alex0375@gmail.com> for
    bringing up these changes in the open-to-all
    rainbows-public@bogomips.org mailing list:
    https://bogomips.org/rainbows-public/CAPhSs6OAU+motd+MF=WOSek9==StLjEQJsNwAO3-aRWCZzhs=g@mail.gmail.com/T/
    https://bogomips.org/rainbows-public/CAKwvcL-VH3we4qA1pkNAstTmWvqNA=Rir2N_YiWztV_qbaLQvA@mail.gmail.com/T/
    There's also a few documentation and test fixes.
    9 changes since Rainbows! 5.0.0:
    doc: bump olddoc to ~> 1.2 for extra NNTP URLs
    doc: move homepage and update URLs to HTTPS
    doc: Static_Files: remove Future section
    tests: use correct file:// URL for random_blob path
    support rack 2.x
    Revert "t/t0044-autopush.sh: remove test"
    tests: re-enable EventMachine tests, again
    eventmachine: wait for deferred actions to finish
    doc: additional disclaimers
* Mon Jan 25 2016 coolo@suse.com
- updated to version 5.0.0
  see installed NEWS
  === Rainbows! 5.0.0 - maintained as long as anybody uses it! / 2015-11-25 00:58 UTC
    This release syncs with unicorn 5 and drops some old compatibility
    cruft from old releases.  Performance should be roughly unchanged
    for Ruby 2.2 users while older Rubies (1.9.3 - 2.1) will see
    minor, probably unnoticeable performance regressions.
    Compatibility:
  * The horrible, proprietary (:P) "Status:" response header is
    finally gone, saving at least 16 precious bytes in every HTTP
    response.  This should make it easier to write custom HTTP clients
    which are compatible across all HTTP servers.  It will hopefully
    make migrating between different Rack servers easier for new
    projects.
  * Ruby 1.8 support removed.  Ruby 1.9.3 is currently the earliest
    supported version.  However, expect minor, likely-unnoticeable
    performance regressions if you use Ruby 2.1 or earlier.  Going
    forward, Rainbows! will favor the latest version (currently 2.2) of
    the mainline Ruby implementation, potentially sacrificing
    performance on older Rubies.
    New features:
  * sd_listen_fds(3) emulation added for systemd compatibility.
    You may now stop using PID files and other process monitoring
    software when using systemd.
  * Newly-set TCP socket options are now applied to inherited sockets.
  * Dynamic changes in the application to Rack::Utils::HTTP_STATUS
    hash is now supported; allowing users to set custom status lines
    in Rack to be reflected in unicorn.  This feature causes a minor
    performance regression, but is made up for Ruby 2.2 users with
    other optimizations.
  * The monotonic clock is used under Ruby 2.1+, making the
    timeout feature immune to system clock changes.
    As Rainbows! may be used anonymously without registration, the
    project is committed to supporting anonymous and pseudonymous
    help requests, contributions and feedback via plain-text mail to:
    rainbows-public@bogomips.org
    The mail submission port (587) is open to those behind firewalls
    and allows access via Tor and anonymous remailers.
    Archives are accessible via:
  * http://bogomips.org/rainbows-public/
  * nntp://news.public-inbox.org/inbox.comp.lang.ruby.rainbows
  * nntp://news.gmane.org/gmane.comp.lang.ruby.rainbows.general
    and mirrored to various other places, so you do not even need
    to use a valid address when posting.
    18 changes since Rainbows! 4.7.0
    README: remove Zbatery references
    http_parser: handle keepalive_requests internally
    kill the moronic Status: header
    reflect changes in Rack::Utils::HTTP_STATUS_CODES
    reduce constant lookup dependencies
    http_parser: workaround hijack changes in unicorn 5
    http_server: add master_pid attribute
    stream_response_epoll: remove hijack_prepare call
    bump to unicorn 5.0.1, use monotonic clock
    add .gitattributes for Ruby method detection
    response: avoid garbage string entirely
    tiny bytecode reductions for cold paths
    Ruby 1.9.3+-only cleanups
    revactor: remove fcntl dependency
    response: simplify regexp
    t0105: fix test reliability
    fix Rainbows.now definition for old Rubies
    fix broken constant lookups in unmaintained bits
* Sat Oct 24 2015 coolo@suse.com
- updated to version 4.7.0
  ChangeLog removed upstream
* Tue Feb 10 2015 coolo@suse.com
- updated to version 4.6.2
* Fri Nov 14 2014 tboerger@suse.com
- Fixed rpmlintrc error for invalid shebang
* Mon Oct 13 2014 coolo@suse.com
- adapt to new rubygem packaging
* Tue Apr 29 2014 tboerger@suse.com
- Fixed license, valid spdx.org license
* Mon Apr 28 2014 tboerger@suse.com
- Fixed license
* Fri Apr 25 2014 tboerger@suse.com
- Initial packaging of 4.6.1
